path: /build/build/pyopenssl-dev-python-26.1.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/pyopenssl -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/pyopenssl && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/pyopenssl && \
    luet-portage --dir /pkgdir/pyopenssl dev-python/pyopenssl && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:1b9e3b62a3fb78efcae2a61039bee8fdba4efeddf2e8432216d3efc607936ce2
  package:
    name: pyopenssl
    version: 26.1.0
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: idna
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Python wrapper module around the OpenSSL library
    uri:
    - https://pyopenssl.org/
    license: Apache-2.0
    buildtimestamp: 2026-07-01 08:26:11.741943032 +0000 UTC m=+158.005582793
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: <dev-python/cryptography-48[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/cryptography-46.0.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/typing-extensions-4.9[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: <dev-python/cryptography-48[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/cryptography-46.0.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/typing-extensions-4.9[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/pyopenssl
      kit: python-modules-kit
      original.package.name: dev-python/pyopenssl
      original.package.slot: "0"
      original.package.version: 26.1.0
    treedir: /build/packages
  package_dir: /pkgdir/pyopenssl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 176b6c05741a0f2dc0b257ef7881117d7349261ff64a982216166cf1dea5425f
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/OpenSSL/SSL.py
- usr/lib/python3.9/site-packages/OpenSSL/__init__.py
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/SSL.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/SSL.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/SSL.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/_util.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/_util.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/_util.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/crypto.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/crypto.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/crypto.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/debug.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/debug.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/debug.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/rand.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/rand.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/rand.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/version.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/_util.py
- usr/lib/python3.9/site-packages/OpenSSL/crypto.py
- usr/lib/python3.9/site-packages/OpenSSL/debug.py
- usr/lib/python3.9/site-packages/OpenSSL/py.typed
- usr/lib/python3.9/site-packages/OpenSSL/rand.py
- usr/lib/python3.9/site-packages/OpenSSL/version.py
- usr/lib/python3.9/site-packages/pyopenssl-26.1.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/pyopenssl-26.1.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/pyopenssl-26.1.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/pyopenssl-26.1.0.dist-info/licenses/LICENSE
- usr/lib/python3.9/site-packages/pyopenssl-26.1.0.dist-info/top_level.txt
- usr/share/doc/pyopenssl-26.1.0/README.rst.bz2
- var/db/pkg/dev-python/pyopenssl-26.1.0/BDEPEND
- var/db/pkg/dev-python/pyopenssl-26.1.0/BUILD_TIME
- var/db/pkg/dev-python/pyopenssl-26.1.0/CATEGORY
- var/db/pkg/dev-python/pyopenssl-26.1.0/CBUILD
- var/db/pkg/dev-python/pyopenssl-26.1.0/CFLAGS
- var/db/pkg/dev-python/pyopenssl-26.1.0/CHOST
- var/db/pkg/dev-python/pyopenssl-26.1.0/CONTENTS
- var/db/pkg/dev-python/pyopenssl-26.1.0/COUNTER
- var/db/pkg/dev-python/pyopenssl-26.1.0/CTARGET
- var/db/pkg/dev-python/pyopenssl-26.1.0/CXX
- var/db/pkg/dev-python/pyopenssl-26.1.0/CXXFLAGS
- var/db/pkg/dev-python/pyopenssl-26.1.0/DEFINED_PHASES
- var/db/pkg/dev-python/pyopenssl-26.1.0/DEPEND
- var/db/pkg/dev-python/pyopenssl-26.1.0/DESCRIPTION
- var/db/pkg/dev-python/pyopenssl-26.1.0/EAPI
- var/db/pkg/dev-python/pyopenssl-26.1.0/FEATURES
- var/db/pkg/dev-python/pyopenssl-26.1.0/HOMEPAGE
- var/db/pkg/dev-python/pyopenssl-26.1.0/INHERITED
- var/db/pkg/dev-python/pyopenssl-26.1.0/IUSE
- var/db/pkg/dev-python/pyopenssl-26.1.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pyopenssl-26.1.0/KEYWORDS
- var/db/pkg/dev-python/pyopenssl-26.1.0/LDFLAGS
- var/db/pkg/dev-python/pyopenssl-26.1.0/LICENSE
- var/db/pkg/dev-python/pyopenssl-26.1.0/PF
- var/db/pkg/dev-python/pyopenssl-26.1.0/RDEPEND
- var/db/pkg/dev-python/pyopenssl-26.1.0/SIZE
- var/db/pkg/dev-python/pyopenssl-26.1.0/SLOT
- var/db/pkg/dev-python/pyopenssl-26.1.0/USE
- var/db/pkg/dev-python/pyopenssl-26.1.0/environment.bz2
- var/db/pkg/dev-python/pyopenssl-26.1.0/pyopenssl-26.1.0.ebuild
- var/db/pkg/dev-python/pyopenssl-26.1.0/repository
package_cacheimage: ""
runtime:
  name: pyopenssl
  version: 26.1.0
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: cryptography
    version: '>=0'
    category: dev-python
  - name: typing-extensions
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Python wrapper module around the OpenSSL library
  uri:
  - https://pyopenssl.org/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: <dev-python/cryptography-48[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/cryptography-46.0.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/typing-extensions-4.9[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: <dev-python/cryptography-48[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/cryptography-46.0.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/typing-extensions-4.9[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/pyopenssl
    kit: python-modules-kit
    original.package.name: dev-python/pyopenssl
    original.package.slot: "0"
    original.package.version: 26.1.0
